##############################################################################
#
# Copyright (c) 2007 Lovely Systems and Contributors.
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################
"""
$Id: tests.py 75457 2007-05-04 16:08:28Z dobe $
"""
__docformat__ = "reStructuredText"

import unittest
from zope.testing import doctest
from zope.app.testing import functional
from z3c.testing import layer
from z3c.configurator import configurator

def appSetUp(app):
    configurator.configure(app, {},
                           names = ['lovely.memcachedclient'])


layer.defineLayer('MemcachedLayer', zcml='ftesting.zcml',
                  appSetUp=appSetUp,
                  clean=True)

def test_suite():
    suite = functional.FunctionalDocFileSuite('README.txt')
    suite.layer = MemcachedLayer
    suite.level = 2
    return unittest.TestSuite((suite,))

if __name__ == '__main__':
    unittest.main(defaultTest='test_suite')
